Subject: RE: [MMUSIC] Question on the IP address/port indicated in an SDP offer

From: "Javier Gonzalez Gallego" <[email-masked]>
Date: Mon, 25 Jul 2005 12:03:51 +0100

Colin
Thanks for the clarification. Now it make sense.
Javier 

-----Original Message-----
From: Colin Perkins [mailto:[email-masked]] 
Sent: 18 July 2005 21:08
To: Gonzalez Gallego, Javier [MOP:EP10:EXCH]
Cc: [email-masked]
Subject: Re: [MMUSIC] Question on the IP address/port indicated in an
SDP offer

Javier,

On 15 Jul 2005, at 16:54, Javier Gonzalez Gallego wrote:
> I have found 2 sentences that seems contradictories in RFC 2337 and in

> RFC 3264 regarding the use of the IP address and port in the SDP 
> offer.
>
> Is this really a contradiction or not?
>
> Based on RFC 3264, the IP address/source indicated by the offerer are 
> the ones to be used to "receive" media. Especifically it says later 
> "For recvonly and sendrecv streams, the port number and address in the

> offer indicate where the offerer would like **to
> receive** the media stream.  For sendonly RTP streams, the address and

> port number  indirectly indicate where the offerer wants to receive 
> RTCP reports.  Unless there is an explicit indication otherwise, 
> reports are sent to the port number one higher than the number 
> indicated. The IP address and port present in the offer indicate 
> nothing about the source IP address and source port of RTP and RTCP 
> packets that will be sent by the offerer".
>
>
> Currently in RFC2327 (and updated SDP draft draft-ietf-mmusic-sdp-
> new-24.txt) says that
>
> "For an IP unicast session, the following are conveyed:
> o The remote address for media
>
> o The remote transport port for media
>
> The semantics of this address and port depend on the media and 
> transport protocol defined. By default, this is the remote address and

> remote port to which data **is sent**, and the remote address and 
> remote (it is local in RFC2327) port on which to receive data. "

I don't see any contradiction. The device making the offer is saying
"send data to this address and port", and that address and port forms
the remote address for the answering device. You need to look at it from
the viewpoint of the device that receives the SDP.

Colin

_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic